profound-logoProfound CMS
⌘K
Admin
Theme
DocsTutorialBlogPhilosophy
DocsTutorialBlogPhilosophy

Hybrid

Collection of Pages with ComponentsTypes of ComponentsSetup server sent events (SSE) content refetchInstall Profound CMS as a proxyCEL Scripting in Template BuilderProject ScaffoldingBibliotecă media

Fără interfață

Pornire rapidăSplit Screen JSON Component Builder with LLMComponent Zod Pull

API REST

Prezentare generală API RESTgetConnect your websitegetGET /routesgetGET /routegetGET /blocksgetObține blocuri cu cache CELgetGET /blocks/generatedgetGET /componentsgetGET /components/{name}getGET /dataset/{schema_name}getGET /content-changes (SSE)patchPATCH /dataset/{schema_name}postPOST /translationpatchPATCH /translationsgetGET /usagepostPOST /csvpatchPATCH /csv
All Systems Operational
Powered Byprofound-logo
Theme

GET /components

Listează rezumatele componentelor personalizate (scheme de tip de conținut) ale unui site web.

Listează rezumatele componentelor personalizate (scheme de tip de conținut) pentru un site web, ordonate după nume. Sunt returnate doar schemele personalizate definite de utilizator.

Autentificare: Cheie API (antet x-api-key sau parametru de interogare api_key).

Parametri de interogare

ParametruTipObligatoriuNote
websiteIduuiddaTrebuie să fie un UUID valid. Nu există rezervă Host/config pentru acest endpoint.
statestringnuFiltrează după starea ciclului de viață: draft, active sau archived.
api_keystringnuAlternativă la antetul x-api-key.

Răspuns

Un tablou JSON cu rezumate ale componentelor:

[
  {
    "id": "...",
    "name": "post",
    "displayName": "Postare",
    "description": "O postare de documentație",
    "category": "Custom",
    "tags": [],
    "fields": [],
    "icon": null,
    "source": "custom",
    "version": 8,
    "routeSlugField": "title"
  }
]

source este întotdeauna "custom". displayName revine la name, iar category are valoarea implicită "Custom", atunci când nu este setată.

Exemplu

curl '{CMS_API_URL}/components?websiteId=<uuid>&state=active' \
  -H 'x-api-key: <key>'

Erori

  • 400 — websiteId lipsă sau nevalid
  • 401 — cheie API nevalidă
Continue Reading
Previous‹GET /blocks/generatedNextGET /components/{name}›